1. Whatsapp API
Hatif
  • Rate Limiting
  • Account API
    • Service Login
      POST
  • Channels API
    • Get Channels
      GET
  • Support API
    • Upload Image, Video, or PDF
      POST
    • Upload Audio File
      POST
  • Whatsapp API
    • Send Text
      POST
    • Send Template
      POST
    • Send Image
      POST
    • Send Audio
      POST
    • Send Video
      POST
    • Send File
      POST
    • Send Interactive Buttons
      POST
    • List Templates (Service Account)
      GET
  • Contact
    • Set Property Value on Contact
      PUT
    • Search Contacts
      POST
    • Delete Property Value on Contact
      DELETE
    • Create Contact
      POST
    • Update Contact
      PUT
    • Get Contacts
      GET
    • Get Contact By Id
      GET
    • Create Bulk Contacts vCards
      POST
    • Contacts History
      GET
  • Contact Properties
    • List Contact Properties
      GET
    • Contact Properties Statistics
      POST
    • Create Contact Property
      POST
    • Update Contact Property
      PUT
    • Delete Contact Property
      DELETE
  • Workspace API
    • Get Workspace Users
  • Conversations API
    • Get Conversation Timeline
    • List Conversations
    • Create Conversation
    • Assign Conversation
    • Get Conversation
  • Tags API
    • Tag a conversation
    • Create Tag
    • Delete Tag
    • Update Tag
    • List Tags
  • Conversations - Service Account
  • Outbound IVR
    • Create Outbound IVR
    • Get Outbound IVR Request
  • Outbound IVR Flows
    • Create Outbound IVR Flow
    • List Outbound IVR Flows
    • Get Outbound IVR Flow
    • Update Outbound IVR Flow
    • Delete Outbound IVR Flow
  • Call Webhook
  • WhatsApp Message Webhook
  • Schemas
    • Call Webhook
    • WhatsApp Message Webhook
    • ConversationDto
    • CreateTagDto
    • ServiceAccountTemplateDto
    • OutboundIvrOption
    • ChannelConversationDto
    • UpdateTagDto
    • ServiceAccountTemplateParameterDto
    • OutboundIvrQuestionStepProps
    • TemplateParameterDto
    • OutboundIvrStep
    • TagDto
    • ParameterValueDto
    • ConversationTimelineDto
    • CreateOutboundIvrRequest
    • PagedResultOfTagDto
    • ChannelNotFoundError
    • SaveOutboundIvrFlow
    • OutboundIvrFlow
    • AiSummaryDto
    • ReplyInfoDto
    • OutboundIvrAnswer
    • InternalThreadDto
    • LocationMessageDto
    • OutboundIvrStatus
    • AssignationInfoDto
    • OutboundIvrResult
    • OutboundIvrAudioType
    • PagedResultOfConversationDto
    • OutboundIvrRequest
    • PagedResultOfConversationTimelineDto
    • OutboundIvrWebhookPayload
  1. Whatsapp API

Send Interactive Buttons

POST
/v1/whatsapp/sendInteractiveButtons
Sends a WhatsApp interactive message with up to three reply buttons.
Requires a Hatif user access token and access to send conversations on the selected channel. This is not a service-account/client-credentials endpoint.
The channel must use the Official WhatsApp API provider. Each button ID must be 1–256 characters and each displayed title must be 1–20 characters.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.voxa.sa/v1/whatsapp/sendInteractiveButtons' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "channelId": "3a1da000-0000-0000-0000-000000000000",
  "contactId": "3a1e1500-0000-0000-0000-000000000000",
  "bodyText": "كيف يمكننا مساعدتك؟",
  "buttons": [
    {
      "id": "appointments",
      "title": "المواعيد"
    },
    {
      "id": "results",
      "title": "نتائج التحاليل"
    }
  ]
}'
Response Response Example
{
    "contactId": "3a1e1500-0000-0000-0000-000000000000",
    "status": "Sent",
    "message": "Message sent",
    "conversationEventId": "3a21fd00-0000-0000-0000-000000000000",
    "messageId": "wamid.HBgM00000000000000000000000000000000"
}
Modified at 2026-09-06 22:10:48
Previous
Send File
Next
List Templates (Service Account)
Built with